All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::ScopedFakeTestPartResultReporter Class Reference
Inheritance diagram for testing::ScopedFakeTestPartResultReporter:

## Public Types

enum | InterceptMode { INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS }

## Public Member Functions

| ScopedFakeTestPartResultReporter (TestPartResultArray *result)
| ScopedFakeTestPartResultReporter (InterceptMode intercept_mode, TestPartResultArray *result)
virtual void | ReportTestPartResult (const TestPartResult &result)

## Detailed Description

Definition at line 51 of file gtest-spi.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest-spi.h